﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DataSharing
{
    public class SharingConfiguration
    {
        public string CityCode { get; set; }
        public string CityName { get; set; }

        public YiBin YiBin { get; set; }

        public ZiGong ZiGong { get; set; }
    }

    public class YiBin
    {
        /// <summary>
        /// 省12345
        /// </summary>
        public ConfigurationProvince Province { get; set; }

        /// <summary>
        /// 企业服务
        /// </summary>
        public ConfigurationEnterprise Enterprise { get; set; }

        /// <summary>
        /// 市州数据交换
        /// </summary>
        public ConfigurationCityHandOver CityHandOver { get; set; }
        
        /// <summary>
        /// 道枢110
        /// </summary>
        public ConfigurationPoliceDS PoliceDS { get; set; }
        
        /// <summary>
        /// 新老数据交换
        /// </summary>
        public ConfigurationSendDataOld SendDataOld { get; set; }

        /// <summary>
        /// 写入工单数据
        /// </summary>
        public ConfigurationHotlineClient HotlineClient { get; set; }

        /// <summary>
        /// 综治平台
        /// </summary>
        public ConvergenceZzptPlatforms ZzptPlatforms { get; set; }

        /// <summary>
        /// 融媒体
        /// </summary>
        public string MediaCode { get; set; }
    }

    public class ZiGong
    {

    }
}
